> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Quickbooks account

> This API call fetches a specific Quickbooks account for a business.



## OpenAPI

````yaml get /v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}:
    get:
      tags: []
      summary: Fetch Quickbooks account
      description: This API call fetches a specific Quickbooks account for a business.
      operationId: business.quickbooks.ledger.accounts.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch Quickbooks account for.
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          description: The UUID of the Quickbooks account to fetch.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiQuickbooksLedgerAccount'
        '404':
          description: >-
            Business id or Quickbooks account id is not found. This indicates
            the business id is invalid or the business has been archived, or the
            Quickbooks account id is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiQuickbooksLedgerAccount:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the Quickbooks ledger account.
        name:
          type: string
          description: The name of the Quickbooks ledger account.
        stable_name:
          $ref: '#/components/schemas/AccountIdentifier'
          description: The stable name of the Quickbooks ledger account.
        normality:
          $ref: '#/components/schemas/LedgerEntryDirection'
          description: The normality of the Quickbooks ledger account.
        account_type:
          $ref: '#/components/schemas/ApiLedgerAccountType'
          description: The type of the Quickbooks ledger account.
        account_subtype:
          $ref: '#/components/schemas/ApiLedgerAccountSubtype'
          description: The subtype of the Quickbooks ledger account.
        balance:
          type: integer
          description: The balance of the Quickbooks ledger account.
        local_ledger_account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: >-
            The local ledger account associated with the Quickbooks ledger
            account.
        child_accounts:
          type: array
          items:
            $ref: '#/components/schemas/ApiQuickbooksLedgerAccount'
          description: The child accounts of the Quickbooks ledger account.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    AccountIdentifier:
      oneOf:
        - $ref: '#/components/schemas/AccountId'
          description: ID of the account
          title: Account ID
        - $ref: '#/components/schemas/AccountStableName'
          description: Stable name associated with the account
          title: Account Stable Name
    LedgerEntryDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
      description: Direction of the ledger entry (credit or debit).
    ApiLedgerAccountType:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountType'
          description: Type of the account
        display_name:
          type: string
          description: Display name of the account type
          example: Asset
    ApiLedgerAccountSubtype:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountSubtype'
        display_name:
          type: string
          description: Display name of the account subtype
          example: Current Assets
    SingleApiChartAccount:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountIdentifier'
        name:
          type: string
          description: Name of the account
          example: Current Assets
        account_number:
          type: string
          nullable: true
          description: Account number if configured
          example: '4000'
        stable_name:
          $ref: '#/components/schemas/AccountStableName'
        normality:
          $ref: '#/components/schemas/BankTransactionDirection'
        account_type:
          $ref: '#/components/schemas/ApiLedgerAccountType'
        account_subtype:
          $ref: '#/components/schemas/ApiLedgerAccountSubtype'
      description: A single ledger account without nested children
    AccountId:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `AccountId`.
          example: AccountId
        id:
          type: string
          format: uuid
          description: ID of the account
    AccountStableName:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `StableName`.
          example: StableName
        stable_name:
          type: string
          example: CURRENT_ASSETS
          description: Stable name of the account
    LedgerAccountType:
      type: string
      enum:
        - ASSET
        - LIABILITY
        - EQUITY
        - REVENUE
        - COGS
        - EXPENSE
    LedgerAccountSubtype:
      type: string
      enum:
        - BANK_ACCOUNTS
        - ACCOUNTS_RECEIVABLE
        - INVENTORY
        - PAYMENT_PROCESSOR_CLEARING_ACCOUNT
        - FIXED_ASSET
        - ACCUMULATED_DEPRECIATION
        - CASH
        - UNDEPOSITED_FUNDS
        - CURRENT_ASSET
        - NON_CURRENT_ASSET
        - PREPAID_EXPENSES
        - DEVELOPMENT_COSTS
        - LOANS_RECEIVABLE
        - INTANGIBLE_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - TAXES_PAYABLE
        - INCOME_TAXES_PAYABLE
        - SALES_TAXES_PAYABLE
        - OTHER_TAXES_PAYABLE
        - PAYROLL_TAXES_PAYABLE
        - UNEARNED_REVENUE
        - PAYROLL_LIABILITY
        - PAYROLL_CLEARING
        - LINE_OF_CREDIT
        - TIPS
        - REFUND_LIABILITIES
        - UNDEPOSITED_OUTFLOWS
        - OUTGOING_PAYMENT_CLEARING_ACCOUNT
        - OTHER_CURRENT_LIABILITY
        - LOANS_PAYABLE
        - NOTES_PAYABLE
        - SHAREHOLDER_LOAN
        - NON_CURRENT_LIABILITY
        - CONTRIBUTIONS
        - DISTRIBUTIONS
        - COMMON_STOCK
        - PREFERRED_STOCK
        - ADDITIONAL_PAID_IN_CAPITAL
        - RETAINED_EARNINGS
        - ACCUMULATED_ADJUSTMENTS
        - OPENING_BALANCE_EQUITY
        - OTHER_EQUITY
        - SALES
        - UNCATEGORIZED_REVENUE
        - RETURNS_ALLOWANCES
        - DIVIDEND_INCOME
        - INTEREST_INCOME
        - OTHER_INCOME
        - COGS
        - OPERATING_EXPENSES
        - PAYROLL
        - TAXES_LICENSES
        - UNCATEGORIZED_EXPENSE
        - CHARITABLE_CONTRIBUTIONS
        - LOAN_EXPENSES
        - FINANCE_COSTS
        - INTEREST_EXPENSES
        - DEPRECIATION
        - AMORTIZATION
        - BAD_DEBT
        - OTHER_EXPENSES
    BankTransactionDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````